#ifndef CUSTOMMAKEFSWATCHER_H
#define CUSTOMMAKEFSWATCHER_H

#include "projectfilesystemwatcher.h"

class KUrl;
class KUrl::List;

namespace KDevelop
{
class ProjectFileItem;
class ProjectFolderItem;
class IProjectFileManager;
}

class CustomMakeManager;

class CustomMakeFSWatcher : public ProjectFileSystemWatcher
{
    Q_OBJECT
public:
    CustomMakeFSWatcher(CustomMakeManager* manager, QObject* parent = 0);
    virtual ~CustomMakeFSWatcher();

protected:
    virtual void filesCreated( const KUrl::List &files, KDevelop::ProjectFolderItem *parentFolder );
    virtual void filesDeleted( const QList<KDevelop::ProjectFileItem*> &files,
                               KDevelop::ProjectFolderItem *parentFolder );

//     virtual void directoriesCreated( const KUrl::List &files, KDevelop::ProjectFolderItem *parentFolder );
//     virtual void directoriesDeleted( const QList<KDevelop::ProjectFolderItem*> &dirs,
//                                      KDevelop::ProjectFolderItem *parentFolder );

    virtual void fileChanged( const QString& file, KDevelop::ProjectFileItem* fileItem);

private:
    CustomMakeManager *m_customMan;

};

#endif
